Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockResult

    java.lang.Object
      com.eviware.soapui.impl.wsdl.mock.WsdlMockResult

All Implemented Interfaces:
  MockResult

    public class WsdlMockResult

extends java.lang.Object
implements MockResult

The result of a handled WsdlMockRequest

Author:
  ole.matzura

Constructor Summary
`WsdlMockResult(WsdlMockRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `finish()`
`ActionList` | `getActions()`
`WsdlMockRequest` | `getMockRequest()`
`WsdlMockResponse` | `getMockResponse()`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getResponseContent()`
`StringToStringMap` | `getResponseHeaders()`
`long` | `getTimestamp()`
`long` | `getTimeTaken()`
`void` | `initResponse()`
`boolean` | `isCommitted()`
`boolean` | `isDiscarded()`
`void` | `setContentType(java.lang.String string)`
`void` | `setMockResponse(WsdlMockResponse mockResponse)`
`void` | `setReponseContent(java.lang.String responseContent)` Deprecated.
`void` | `setResponseContent(java.lang.String responseContent)`
`void` | `setTimestamp(long timestamp)`
`void` | `setTimeTaken(long timeTaken)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMockResult

    public WsdlMockResult(WsdlMockRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getMockRequest

    public WsdlMockRequest getMockRequest()

  Specified by:
    `getMockRequest` in interface `MockResult`

### getActions

    public ActionList getActions()

  Specified by:
    `getActions` in interface `MockResult`

### getMockResponse

    public WsdlMockResponse getMockResponse()

  Specified by:
    `getMockResponse` in interface `MockResult`

### getResponseContent

    public java.lang.String getResponseContent()

  Specified by:
    `getResponseContent` in interface `MockResult`

### getTimeTaken

    public long getTimeTaken()

  Specified by:
    `getTimeTaken` in interface `MockResult`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `MockResult`

### setTimestamp

    public void setTimestamp(long timestamp)

### setTimeTaken

    public void setTimeTaken(long timeTaken)

### getResponseHeaders

    public StringToStringMap getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `MockResult`

### setMockResponse

    public void setMockResponse(WsdlMockResponse mockResponse)

### setReponseContent

    public void setReponseContent(java.lang.String responseContent)

  Deprecated.

### setResponseContent

    public void setResponseContent(java.lang.String responseContent)

### finish

    public void finish()

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

### isCommitted

    public boolean isCommitted()

### setContentType

    public void setContentType(java.lang.String string)

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### initResponse

    public void initResponse()

### isDiscarded

    public boolean isDiscarded()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.